<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Problem Number23</title>
</head>

<body>
	
	<h2> JavaScript Excercise</h2>
	
	<p> <b> No.23:</b> Write a JavaScript program to create a new string from a given string changing the position of first and last characters.
		The string length must be greater than or equal to 1</p>
	
	<p> <b> Solution :</b></p>
	
	<div style="border: 1px dashed black; padding: 20px; width: 425px; height: auto;">
	<input type="text" id="txt" placeholder="Enter Your Favourite Text">	
	<input type="button" onClick="generate()" name="gen" value="Generate!" style="margin-top: 20px;">
		
		<pre id="demo"></pre>
		
	</div>
	
	<script>
	function generate (){
		var str = document.getElementById('txt').value;
		var lngth = str.length
		var part1= str.substring(0,1);
		var part2 = str.substring(lngth-1 , lngth);
		var part3 = str.substring(1,lngth-1)
		
		if (lngth>1) {
			document.getElementById('demo').innerHTML=
				"The Result is: " + part2 + part3 + part1;
		} else {
			document.getElementById('demo').innerHTML= "Are You Kidding Me ?:|"
		}
	}
	
	</script>
	
</body>
</html>
